DNS asonix dog

This commit is contained in:
asonix 2020-05-20 17:10:40 -05:00
parent 563b99689e
commit efde8d1cfd
4 changed files with 92 additions and 1 deletions

5
dns-page/Dockerfile Normal file
View file

@ -0,0 +1,5 @@
FROM arm64v8/nginx:mainline-alpine
ADD https://git.asonix.dog/asonix/dns-asonix-dog/raw/branch/master/index.html /usr/share/nginx/html/index.html
RUN chown -R nginx:nginx /usr/share/nginx/html

43
dns-page/build.sh Executable file
View file

@ -0,0 +1,43 @@
#!/usr/bin//env bash
TAG=$1
function require() {
if [ "$1" = "" ]; then
echo "input '$2' required"
print_help
exit 1
fi
}
function print_help() {
echo "build.sh"
echo ""
echo "Usage:"
echo " build.sh [tag]"
echo ""
echo "Args:"
echo " tag: The tag of the generated container"
}
require "$TAG" tag
if ! docker run --rm -it arm64v8/ubuntu:19.10 /bin/bash -c 'echo "docker is configured correctly"'; then
echo "docker is not configured to run on qemu-emulated architectures, fixing will require sudo"
sudo docker run --rm --privileged multiarch/qemu-user-static --reset -p yes
fi
set -xe
docker build \
--pull \
--no-cache \
-f "Dockerfile" \
-t "asonix/dns-page:$TAG-arm64v8" \
-t asonix/dns-page:latest-arm64v8 \
-t asonix/dns-page:latest \
.
docker push "asonix/dns-page:$TAG-arm64v8"
docker push asonix/dns-page:latest-arm64v8
docker push asonix/dns-page:latest

View file

@ -1,4 +1,4 @@
FROM arm64v8/nginx:1.17.8-alpine
FROM arm64v8/nginx:mainline-alpine
ADD https://git.asonix.dog/asonix/mumble/raw/branch/master/index.html /usr/share/nginx/html/index.html

43
mumble-page/build.sh Executable file
View file

@ -0,0 +1,43 @@
#!/usr/bin//env bash
TAG=$1
function require() {
if [ "$1" = "" ]; then
echo "input '$2' required"
print_help
exit 1
fi
}
function print_help() {
echo "build.sh"
echo ""
echo "Usage:"
echo " build.sh [tag]"
echo ""
echo "Args:"
echo " tag: The tag of the generated container"
}
require "$TAG" tag
if ! docker run --rm -it arm64v8/ubuntu:19.10 /bin/bash -c 'echo "docker is configured correctly"'; then
echo "docker is not configured to run on qemu-emulated architectures, fixing will require sudo"
sudo docker run --rm --privileged multiarch/qemu-user-static --reset -p yes
fi
set -xe
docker build \
--pull \
--no-cache \
-f "Dockerfile" \
-t "asonix/mumble-page:$TAG-arm64v8" \
-t asonix/mumble-page:latest-arm64v8 \
-t asonix/mumble-page:latest \
.
docker push "asonix/mumble-page:$TAG-arm64v8"
docker push asonix/mumble-page:latest-arm64v8
docker push asonix/mumble-page:latest